/***********************************************************************
* ------------------------------------------
* Bustedware LLC - 2015
* https://www.bustedware.com
* ------------------------------------------
* 
* This file is free to distribute
* Please see LICENSE_1_0.txt included with this release
* 
//*********************************************************************/

#ifndef BWINDOWMANAGER_H
#define BWINDOWMANAGER_H

#include <map>
#include <string>
#include "BWindow.h"

class BWindow;

class BWindowManager
{
public:
	static bool AddWindow(BWindow* window, std::string windowName);
	static bool DeleteWindow(std::string windowName);
	static BWindow* GetWindow(std::string windowName);
	static void ProcessEvents(bool* kill_signal);
	static int GetSize();
private:
	BWindowManager();
	~BWindowManager();
	static std::map<std::string, BWindow*> mWindows;
};

#endif
